class JavaCharTest
{
	//--------------------------------------------------------------------------
	//Char test
	
	public static char Test(char param)
	{
		return (char)(255 - param);
	}

	public static char[][][] Test3D(char[][][] param)
	{
		int i1, i2, i3, len1, len2, len3;

		len1 = param.length;
		for (i1=0; i1<len1; i1++)
		{
			len2 = param[i1].length;
			for (i2=0; i2<len2; i2++)
			{
				len3 = param[i1][i2].length;
				for (i3=0; i3<len3; i3++)
				{
					param[i1][i2][i3] = (char)(255 - param[i1][i2][i3]);
				}
			}
		}
		return param;
	}

	//--------------------------------------------------------------------------
	//Char Object test

	public static Character TestObj(Character param)
	{
		return new Character((char)(255 - param.charValue()));
	}

	public static Character[][][] TestObj3D(Character[][][] param)
	{
		int i1, i2, i3, len1, len2, len3;

		len1 = param.length;
		for (i1=0; i1<len1; i1++)
		{
			len2 = param[i1].length;
			for (i2=0; i2<len2; i2++)
			{
				len3 = param[i1][i2].length;
				for (i3=0; i3<len3; i3++)
				{
					param[i1][i2][i3] = new Character((char)(255 - param[i1][i2][i3].charValue())); 
				}
			}
		}
		return param;
	}
}
